## percona-server-mongodb 5.0.11

=== SConstruct ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 import atexit
 import copy
-import datetime
 import errno
 import json
 import os
@@ -31,6 +30,7 @@
 import mongo.toolchain as mongo_toolchain
 import mongo.generators as mongo_generators
 import mongo.install_actions as install_actions
+from mongo.build_profiles import BUILD_PROFILES
 
 EnsurePythonVersion(3, 6)
 EnsureSConsVersion(3, 1, 1)
@@ -105,9 +105,23 @@
 #   using the nargs='const' mechanism.
 #
 
-add_option('ninja',
+add_option(
+    'build-profile',
+    choices=list(BUILD_PROFILES.keys()),
+    default='default',
+    type='choice',
+    help='''Short hand for common build options. These profiles are well supported by SDP and are 
+    kept up to date. Unless you need something specific, it is recommended that you only build with 
+    these. san is the recommeneded profile since it exposes bugs before they are found in patch 
+    builds. Check out site_scons/mongo/build_profiles.py to see each profile.''',
+)
+
+build_profile = BUILD_PROFILES[get_option('build-profile')]
+
+add_option(
+    'ninja',
     choices=['enabled', 'disabled'],
-    default='disabled',
+    default=build_profile.ninja,
     nargs='?',
     const='enabled',
     type='choice',
@@ -264,7 +278,7 @@
 add_option('dbg',
     choices=['on', 'off'],
     const='on',
-    default='off',
+    default=build_profile.dbg,
     help='Enable runtime debugging checks',
     nargs='?',
     type='choice',
@@ -331,6 +345,7 @@
 add_option('sanitize',
     help='enable selected sanitizers',
     metavar='san1,san2,...sanN',
+    default=build_profile.sanitize,
 )
 
 add_option('sanitize-coverage',
@@ -340,7 +355,7 @@
 
 add_option('allocator',
     choices=["auto", "system", "tcmalloc", "tcmalloc-experimental"],
-    default="auto",
+    default=build_profile.allocator,
     help='allocator to use (use "auto" for best choice for current platform)',
     type='choice',
 )
@@ -466,26 +481,3 @@
     help='minimum OS X version to support',
 )
 
-# https://docs.microsoft.com/en-us/cpp/porting/modifying-winver-and-win32-winnt?view=vs-2017
-# https://docs.microsoft.com/en-us/windows-server/get-started/windows-server-release-info
-win_version_min_choices = {
-    'win10'    : ('0A00', '0000'),
-    'ws2016'   : ('0A00', '1607'),
-    'ws2019'   : ('0A00', '1809')
-}
-
-add_option('win-version-min',
-    choices=list(win_version_min_choices.keys()),
-    default=None,
-    help='minimum Windows version to support',
-    type='choice',
-)
-
-add_option('cache',
-    choices=["all", "nolinked"],
-    const='all',
-    help='Use an object cache rather than a per-build variant directory (experimental)',
-    nargs='?',
-)
-
-add_option('cache-dir',
