=== debian/changelog ===
percona-server-mongodb (5.0.11-10) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.11

 -- root <root@a5cfea7b1a2c>  Mon, 29 Aug 2022 15:00:52 +0000
