## percona-server-mongodb 5.0.19

=== debian/changelog ===
percona-server-mongodb (5.0.19-16) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.19

 -- root <root@fcb499ea1197>  Fri, 04 Aug 2023 07:12:05 +0000
