## percona-server-mongodb 5.0.20

=== debian/changelog ===
percona-server-mongodb (5.0.20-17) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.20

 -- root <root@8295630baca8>  Mon, 04 Sep 2023 11:27:48 +0000
