## percona-server-mongodb 5.0.21

=== debian/changelog ===
percona-server-mongodb (5.0.21-18) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.21

 -- root <root@1c6cea21de97>  Mon, 09 Oct 2023 20:35:33 +0000
