## percona-server-mongodb 5.0.22

=== debian/changelog ===
percona-server-mongodb (5.0.22-19) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.22

 -- root <root@2b3f4f44db27>  Tue, 07 Nov 2023 10:13:56 +0000
