## percona-server-mongodb 5.0.23

=== debian/changelog ===
percona-server-mongodb (5.0.23-20) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.23

 -- root <root@70c8e910de44>  Tue, 28 Nov 2023 15:52:08 +0000
