=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,8 @@
         export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
-        sed -i '12d' buildscript/build.go; \
-        sed -i '168,177d' buildscript/build.go; \
+        sed -i '15d' buildscript/build.go; \
+        sed -i '200,209d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;
