## percona-server-mongodb 5.0.24

=== debian/changelog ===
percona-server-mongodb (5.0.24-21) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.24

 -- root <root@2f6f0cc3731c>  Thu, 25 Jan 2024 16:29:35 +0000
