## percona-server-mongodb 5.0.26

=== debian/changelog ===
percona-server-mongodb (5.0.26-22) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 5.0.26

 -- root <root@8dfd7f0d21df>  Thu, 28 Mar 2024 13:45:37 +0000
