=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: database
 Priority: extra
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev
+Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev, dh-systemd, libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev
 
 
 Package: percona-server-mongodb
