=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 export PORTABLE=1
 export USE_SSE=1
 export PATH := /usr/local/go/bin:$(PATH)
-CC = /usr/local/gcc-8.3.0/bin/gcc-8.3
-CXX = /usr/local/gcc-8.3.0/bin/g++-8.3
+CC = /usr/bin/gcc-8
+CXX = /usr/bin/g++-8
 #
 %:
 	dh $@
