## percona-server-mongodb 5.0.27

=== debian/changelog ===
percona-server-mongodb (5.0.27-23) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 5.0.27

 -- root <root@618e10206699>  Wed, 19 Jun 2024 13:21:41 +0000
